List database uptime metrics
curl --request GET \
--url https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseId}/insights/uptime \
--header 'Authorization: Bearer <token>'import requests
url = "https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseId}/insights/uptime"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseId}/insights/uptime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"source": "<string>",
"scope": "<string>",
"granularity": "<string>",
"calculation": "<string>",
"summary": {
"uptimePercentage": 123,
"uptimeSeconds": 123,
"observedSeconds": 123
},
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"uptimePercentage": 123,
"uptimeSeconds": 123,
"observedSeconds": 123
}
]
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}{
"errorCode": "internal_error",
"message": "<string>",
"statusCode": 123
}databases
List database uptime metrics
Lists time-weighted database uptime derived from PostgreSQL ready-probe samples.
GET
/
workspaces
/
{workspaceSlug}
/
databases
/
{databaseId}
/
insights
/
uptime
List database uptime metrics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Minute-aligned start of the metric window.
Minute-aligned end of the metric window.
Bucket granularity: 1m, 5m, 1h, or 1d.
Was this page helpful?